Subject: bug#58005: 13.1.4; Can't work with indirect buffers

From: Vangelis Evangelou <[email-masked]>
Date: Sun, 5 May 2024 20:30:12 +0100

Hi all. I agree with Paul. Sorry for the oversight. For some reason, in my
local installation, I have what Paul suggests, which is why I hadn't picked
it up when I submitted the patch.

On Sun, 5 May 2024 at 04:04, Ikumi Keita <[email-masked]> wrote:

> Hi all,
>
> >>>>> Arash Esbati <[email-masked]> writes:
> > Paul Nelson <[email-masked]> writes:
> >> Somewhere between when I tried Vangelis's patch (earlier in this
> >> thread) and when it was installed, it seems that a further change was
> >> made to preview-region that breaks previews in indirect buffers.
> >> Specifically, the substitution buffer-file-name ->
> >> (TeX-buffer-file-name) was applied where it shouldn't be.
> >>
> >> The issue is as explained in my earlier email in this thread -- we
> >> actually want "<none>" to be the filename when doing previews for
> >> indirect buffers, so that preview-parse-messages ultimately places
> >> them according to the command buffer rather than according to the
> >> filename.  (It might clarify here to note that AFAIK, the "original"
> >> argument to TeX-region-create is relevant only when doing
> >> preview-document, which is irrelevant for indirect buffers.)
> >>
> >> I've attached a patch reverting this particular substitution, so that
> >> previews once again work in indirect buffers.
>
> > @Keita and Vangelis: Any comments on Paul's proposal?
>
> Hmm, sorry. Contrary to what I said before, the current master puts the
> preview images in the base buffer for both document preview (C-c C-p
> C-d) and region preview (C-c C-p C-r etc.). Maybe I was doing something
> wrong. :-(
>
> It seems to me that Paul's approach makes sense. I'd like to hear
> Vangelis'es opinion.
>
> Best regards,
> Ikumi Keita
> #StandWithUkraine #StopWarInUkraine
> #Gaza #StopMassiveKilling #CeasefireNOW
>